input[type="range"].styled-slider {
  height: 2.2em;
  -webkit-appearance: none;
}

/*progress support*/
input[type="range"].styled-slider.slider-progress {
  --range: calc(var(--max) - var(--min));
  --ratio: calc((var(--value) - var(--min)) / var(--range));
  --sx: calc(0.5 * 2em + var(--ratio) * (100% - 2em));
}

input[type="range"].styled-slider:focus {
  outline: none;
}

/*webkit*/
input[type="range"].styled-slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  height: 26px;
  width: 26px;
  border-radius: 50%;
  border: 2px solid white;
  background: #ffcc00;
  cursor: ew-resize;
  box-shadow: 0 0 2px 0 #555;
  transition: background 0.3s ease-in-out;
  box-shadow: 0px 2px 5px 0px rgb(130, 130, 130);
  margin-top: calc(max((1em - 1px - 1px) * 0.5, 0px) - 2em * 0.5);
}

input[type="range"].styled-slider::-webkit-slider-runnable-track {
  height: 11px;
  /* border: 1px solid #b2b2b2; */
  border-radius: 0.5em;
  background: #c8cbcb;
  box-shadow: none;
}

input[type="range"].styled-slider::-webkit-slider-thumb:hover {
  background: #ffcc00;
}

input[type="range"].styled-slider:hover::-webkit-slider-runnable-track {
  background: #c8cbcb;
  border-color: #c8cbcb;
}

input[type="range"].styled-slider::-webkit-slider-thumb:active {
  background: #ffcc00;
}

input[type="range"].styled-slider:active::-webkit-slider-runnable-track {
  background: #c8cbcb;
  border-color: #c8cbcb;
}

input[type="range"].styled-slider.slider-progress::-webkit-slider-runnable-track {
  background: linear-gradient(#ffcc00, #ffcc00) 0 / var(--sx) 100% no-repeat,
    #c8cbcb;
}

input[type="range"].styled-slider.slider-progress:hover::-webkit-slider-runnable-track {
  background: linear-gradient(#ffcc00, #ffcc00) 0 / var(--sx) 100% no-repeat,
    #c8cbcb;
}

input[type="range"].styled-slider.slider-progress:active::-webkit-slider-runnable-track {
  background: linear-gradient(#ffcc00, #ffcc00) 0 / var(--sx) 100% no-repeat,
    #c8cbcb;
}

/*mozilla*/
input[type="range"].styled-slider::-moz-range-thumb {
  height: 26px;
  width: 26px;
  border-radius: 50%;
  border: 2px solid white;
  background: #ffcc00;
  cursor: ew-resize;
  box-shadow: 0 0 2px 0 #555;
  transition: background 0.3s ease-in-out;
  box-shadow: 0px 2px 5px 0px rgb(130, 130, 130);
}

input[type="range"].styled-slider::-moz-range-track {
  height: max(calc(1em - 1px - 1px), 0px);
  /* border: 1px solid #b2b2b2; */
  border-radius: 0.5em;
  background: #c8cbcb;
  box-shadow: none;
}

input[type="range"].styled-slider::-moz-range-thumb:hover {
  background: #ffcc00;
}

input[type="range"].styled-slider:hover::-moz-range-track {
  background: #c8cbcb;
  border-color: #c8cbcb;
}

input[type="range"].styled-slider::-moz-range-thumb:active {
  background: #ffcc00;
}

input[type="range"].styled-slider:active::-moz-range-track {
  background: #c8cbcb;
  border-color: #c8cbcb;
}

input[type="range"].styled-slider.slider-progress::-moz-range-track {
  background: linear-gradient(#ffcc00, #ffcc00) 0 / var(--sx) 100% no-repeat,
    #c8cbcb;
}

input[type="range"].styled-slider.slider-progress:hover::-moz-range-track {
  background: linear-gradient(#ffcc00, #ffcc00) 0 / var(--sx) 100% no-repeat,
    #c8cbcb;
}

input[type="range"].styled-slider.slider-progress:active::-moz-range-track {
  background: linear-gradient(#ffcc00, #ffcc00) 0 / var(--sx) 100% no-repeat,
    #c8cbcb;
}

/*ms*/
input[type="range"].styled-slider::-ms-fill-upper {
  background: transparent;
  border-color: transparent;
}

input[type="range"].styled-slider::-ms-fill-lower {
  background: transparent;
  border-color: transparent;
}

input[type="range"].styled-slider::-ms-thumb {
  height: 26px;
  width: 26px;
  border-radius: 50%;
  border: 2px solid white;
  background: #ffcc00;
  cursor: ew-resize;
  box-shadow: 0 0 2px 0 #555;
  transition: background 0.3s ease-in-out;
  box-shadow: 0px 2px 5px 0px rgb(130, 130, 130);
  box-sizing: border-box;
}

input[type="range"].styled-slider::-ms-track {
  height: 11px;
  border-radius: 0.5em;
  background: #c8cbcb;
  /* border: 1px solid #c8cbcb; */
  box-shadow: none;
  box-sizing: border-box;
}

input[type="range"].styled-slider::-ms-thumb:hover {
  background: #ffcc00;
}

input[type="range"].styled-slider:hover::-ms-track {
  background: #c8cbcb;
  border-color: #c8cbcb;
}

input[type="range"].styled-slider::-ms-thumb:active {
  background: #ffcc00;
}

input[type="range"].styled-slider:active::-ms-track {
  background: #c8cbcb;
  border-color: #c8cbcb;
}

input[type="range"].styled-slider.slider-progress::-ms-fill-lower {
  height: max(calc(1em - 1px - 1px), 0px);
  border-radius: 0.5em 0 0 0.5em;
  margin: -1px 0 -1px -1px;
  background: #ffcc00;
  border: 1px solid #c8cbcb;
  border-right-width: 0;
}

input[type="range"].styled-slider.slider-progress:hover::-ms-fill-lower {
  background: #ffcc00;
  border-color: #c8cbcb;
}

input[type="range"].styled-slider.slider-progress:active::-ms-fill-lower {
  background: #ffcc00;
  border-color: #ffcc00;
}
